Module java.desktop
Package java.awt

## Enum Desktop.Action

- java.lang.Object
- - java.lang.Enum<Desktop.Action>
  - - java.awt.Desktop.Action

All Implemented Interfaces:
  `Serializable`, `Comparable<Desktop.Action>`

Enclosing class:
  Desktop

    public static enum Desktop.Action
    extends Enum<Desktop.Action>

Represents an action type. Each platform supports a different set of actions. You may use the `Desktop.isSupported(java.awt.Desktop.Action)` method to determine if the given action is supported by the current platform.

Since:
  1.6
See Also:
  `Desktop.isSupported(java.awt.Desktop.Action)`

### Enum Constant Summary

Enum Constants
`APP_ABOUT` Represents an AboutHandler
`APP_EVENT_FOREGROUND` Represents an AppForegroundListener
`APP_EVENT_HIDDEN` Represents an AppHiddenListener
`APP_EVENT_REOPENED` Represents an AppReopenedListener
`APP_EVENT_SCREEN_SLEEP` Represents a ScreenSleepListener
`APP_EVENT_SYSTEM_SLEEP` Represents a SystemSleepListener
`APP_EVENT_USER_SESSION` Represents a UserSessionListener
`APP_HELP_VIEWER` Represents a HelpViewer
`APP_MENU_BAR` Represents a menu bar
`APP_OPEN_FILE` Represents an OpenFilesHandler
`APP_OPEN_URI` Represents an OpenURIHandler
`APP_PREFERENCES` Represents a PreferencesHandler
`APP_PRINT_FILE` Represents a PrintFilesHandler
`APP_QUIT_HANDLER` Represents a QuitHandler
`APP_QUIT_STRATEGY` Represents a QuitStrategy
`APP_REQUEST_FOREGROUND` Represents a requestForeground
`APP_SUDDEN_TERMINATION` Represents a SuddenTermination
`BROWSE` Represents a "browse" action.
`BROWSE_FILE_DIR` Represents a browse file directory
`EDIT` Represents an "edit" action.
`MAIL` Represents a "mail" action.
`MOVE_TO_TRASH` Represents a move to trash
`OPEN` Represents an "open" action.
`PRINT` Represents a "print" action.

### Method Summary

All Methods Static Methods Concrete Methods
`static Desktop.Action` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Desktop.Action[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OPEN

    public static final Desktop.Action OPEN

Represents an "open" action.

See Also:
  `Desktop.open(java.io.File)`

#### EDIT

    public static final Desktop.Action EDIT

Represents an "edit" action.

See Also:
  `Desktop.edit(java.io.File)`

#### PRINT

    public static final Desktop.Action PRINT

Represents a "print" action.

See Also:
  `Desktop.print(java.io.File)`

#### MAIL

    public static final Desktop.Action MAIL

Represents a "mail" action.

See Also:
  `Desktop.mail()`, `Desktop.mail(java.net.URI)`

#### BROWSE

    public static final Desktop.Action BROWSE

Represents a "browse" action.

See Also:
  `Desktop.browse(java.net.URI)`

#### APP_EVENT_FOREGROUND

    public static final Desktop.Action APP_EVENT_FOREGROUND

Represents an AppForegroundListener

Since:
  9
See Also:
  `AppForegroundListener`

#### APP_EVENT_HIDDEN

    public static final Desktop.Action APP_EVENT_HIDDEN

Represents an AppHiddenListener

Since:
  9
See Also:
  `AppHiddenListener`

#### APP_EVENT_REOPENED

    public static final Desktop.Action APP_EVENT_REOPENED

Represents an AppReopenedListener

Since:
  9
See Also:
  `AppReopenedListener`

#### APP_EVENT_SCREEN_SLEEP

    public static final Desktop.Action APP_EVENT_SCREEN_SLEEP

Represents a ScreenSleepListener

Since:
  9
See Also:
  `ScreenSleepListener`

#### APP_EVENT_SYSTEM_SLEEP

    public static final Desktop.Action APP_EVENT_SYSTEM_SLEEP

Represents a SystemSleepListener

Since:
  9
See Also:
  `SystemSleepListener`

#### APP_EVENT_USER_SESSION

    public static final Desktop.Action APP_EVENT_USER_SESSION

Represents a UserSessionListener

Since:
  9
See Also:
  `UserSessionListener`

#### APP_ABOUT

    public static final Desktop.Action APP_ABOUT

Represents an AboutHandler

Since:
  9
See Also:
  `Desktop.setAboutHandler(java.awt.desktop.AboutHandler)`

#### APP_PREFERENCES

    public static final Desktop.Action APP_PREFERENCES

Represents a PreferencesHandler

Since:
  9
See Also:
  `Desktop.setPreferencesHandler(java.awt.desktop.PreferencesHandler)`

#### APP_OPEN_FILE

    public static final Desktop.Action APP_OPEN_FILE

Represents an OpenFilesHandler

Since:
  9
See Also:
  `Desktop.setOpenFileHandler(java.awt.desktop.OpenFilesHandler)`

#### APP_PRINT_FILE

    public static final Desktop.Action APP_PRINT_FILE

Represents a PrintFilesHandler

Since:
  9
See Also:
  `Desktop.setPrintFileHandler(java.awt.desktop.PrintFilesHandler)`

#### APP_OPEN_URI

    public static final Desktop.Action APP_OPEN_URI

Represents an OpenURIHandler

Since:
  9
See Also:
  `Desktop.setOpenURIHandler(java.awt.desktop.OpenURIHandler)`

#### APP_QUIT_HANDLER

    public static final Desktop.Action APP_QUIT_HANDLER

Represents a QuitHandler

Since:
  9
See Also:
  `Desktop.setQuitHandler(java.awt.desktop.QuitHandler)`

#### APP_QUIT_STRATEGY

    public static final Desktop.Action APP_QUIT_STRATEGY

Represents a QuitStrategy

Since:
  9
See Also:
  `Desktop.setQuitStrategy(java.awt.desktop.QuitStrategy)`

#### APP_SUDDEN_TERMINATION

    public static final Desktop.Action APP_SUDDEN_TERMINATION

Represents a SuddenTermination

Since:
  9
See Also:
  `Desktop.enableSuddenTermination()`

#### APP_REQUEST_FOREGROUND

    public static final Desktop.Action APP_REQUEST_FOREGROUND

Represents a requestForeground

Since:
  9
See Also:
  `Desktop.requestForeground(boolean)`

#### APP_HELP_VIEWER

    public static final Desktop.Action APP_HELP_VIEWER

Represents a HelpViewer

Since:
  9
See Also:
  `Desktop.openHelpViewer()`

#### APP_MENU_BAR

    public static final Desktop.Action APP_MENU_BAR

Represents a menu bar

Since:
  9
See Also:
  `Desktop.setDefaultMenuBar(javax.swing.JMenuBar)`

#### BROWSE_FILE_DIR

    public static final Desktop.Action BROWSE_FILE_DIR

Represents a browse file directory

Since:
  9
See Also:
  `Desktop.browseFileDirectory(java.io.File)`

#### MOVE_TO_TRASH

    public static final Desktop.Action MOVE_TO_TRASH

Represents a move to trash

Since:
  9
See Also:
  `Desktop.moveToTrash(java.io.File)`

### Method Detail

#### values

    public static Desktop.Action[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Desktop.Action c : Desktop.Action.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Desktop.Action valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null